package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.BdForm;

/**
 * 单Service接口
 * 
 * @author ruoyi
 * @date 2022-11-27
 */
public interface IBdFormService 
{
    /**
     * 查询单
     * 
     * @param id 单主键
     * @return 单
     */
    public BdForm selectBdFormById(Long id);

    /**
     * 查询单列表
     * 
     * @param bdForm 单
     * @return 单集合
     */
    public List<BdForm> selectBdFormList(BdForm bdForm);

    /**
     * 新增单
     * 
     * @param bdForm 单
     * @return 结果
     */
    public int insertBdForm(BdForm bdForm);

    /**
     * 修改单
     * 
     * @param bdForm 单
     * @return 结果
     */
    public int updateBdForm(BdForm bdForm);

    /**
     * 批量删除单
     * 
     * @param ids 需要删除的单主键集合
     * @return 结果
     */
    public int deleteBdFormByIds(Long[] ids);

    /**
     * 删除单信息
     * 
     * @param id 单主键
     * @return 结果
     */
    public int deleteBdFormById(Long id);
}
